Loading...
Searching...
No Matches
Magick::floodFillTextureImage Class Reference

## Public Member Functions

| floodFillTextureImage (const ::ssize_t x_, const ::ssize_t y_, const Image &texture_, const bool invert_=false)
| floodFillTextureImage (const Geometry &point_, const Image &texture_, const bool invert_=false)
| floodFillTextureImage (const ::ssize_t x_, const ::ssize_t y_, const Image &texture_, const Color &borderColor_, const bool invert_=false)
| floodFillTextureImage (const Geometry &point_, const Image &texture_, const Color &borderColor_, const bool invert_=false)
void | operator() (Image &image_) const

## Private Attributes

::ssize_t | _x
::ssize_t | _y
Image | _texture
Color | _borderColor
bool | _invert

## Detailed Description

Definition at line 510 of file STL.h.

## Constructor & Destructor Documentation

## floodFillTextureImage() [1/2]

Magick::floodFillTextureImage::floodFillTextureImage | ( | const Geometry & | point_,
|  | const Image & | texture_,
|  | const bool | invert_ = false )

Definition at line 482 of file STL.cpp.

: _x(point_.xOff()),
_y(point_.yOff()),
_texture(texture_),
_borderColor(),
_invert(invert_)
{
}

## floodFillTextureImage() [2/2]

Magick::floodFillTextureImage::floodFillTextureImage | ( | const Geometry & | point_,
|  | const Image & | texture_,
|  | const Color & | borderColor_,
|  | const bool | invert_ = false )

Definition at line 504 of file STL.cpp.

: _x(point_.xOff()),
_y(point_.yOff()),
_texture(texture_),
_borderColor(borderColor_),
_invert(invert_)
{
}

## Member Function Documentation

## operator()()

void Magick::floodFillTextureImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 515 of file STL.cpp.

{
if (_borderColor.isValid())
image_.floodFillTexture(_x,_y,_texture,_borderColor,_invert);
else
image_.floodFillTexture(_x,_y,_texture,_invert);
}

## Field Documentation

## _borderColor

Color Magick::floodFillTextureImage::_borderColor

private

Definition at line 538 of file STL.h.

## _invert

bool Magick::floodFillTextureImage::_invert

private

Definition at line 539 of file STL.h.

## _texture

Image Magick::floodFillTextureImage::_texture

private

Definition at line 537 of file STL.h.

## _x

::ssize_t Magick::floodFillTextureImage::_x

private

Definition at line 535 of file STL.h.

## _y

::ssize_t Magick::floodFillTextureImage::_y

private

Definition at line 536 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp